function setWeather () {
  var url="http://weather.livedoor.com/forecast/rss/37/103.xml";
  var httpRequest = new XMLHttpRequest();

  httpRequest.open("GET", url);
  httpRequest.overrideMimeType("text/xml");
  httpRequest.setRequestHeader('Cache-Control', 'no-cache'); 
  httpRequest.send(null); 
  httpRequest.onload = function() {xml_responded(httpRequest);}
}

function findChild (element, nodeName){
  var child;
	
  for (child = element.firstChild; child != null; child = child.nextSibling){
    if (child.nodeName == nodeName) return child;
  }
	
  return null;
}

function xml_responded (request) {
  var rss = findChild(request.responseXML, "rss");
  var channel = findChild(rss, "channel");
  var city = findChild(channel, "title").textContent;
  city = city.substring(0, city.lastIndexOf("の"));
  document.getElementById("city").innerText = city;
  
  var date, url, forecast, high;
  var tag_item = request.responseXML.getElementsByTagName("item");
  for (var i = 1; i < tag_item.length; i++) {
      link = findChild(tag_item(i), "link").textContent;
      date = link.slice(-4,-2) + "/" + link.slice(-2);
      title = findChild(tag_item(i), "title").textContent;
      day = title.substring(title.lastIndexOf("("),title.lastIndexOf(")")+1);
      high = title.substring(title.indexOf("温")+1,title.indexOf("℃")+1);
      image = findChild(tag_item(i), "image");
      forecast = findChild(image, "title").textContent;
      url = findChild(image, "url").textContent;
      document.getElementById("date" + i).innerText = date;
      document.getElementById("day" + i).innerText = day;
      document.getElementById("image" + i).src = url;
      document.getElementById("text" + i).innerText = forecast;
      document.getElementById("high" + i).innerText = high;
  }
}
